﻿@model IEnumerable<BeerOverFlow.Models.BeerViewModel>

@{
    ViewData["Title"] = "ShowDranklist";
}

<h1>Dranklist</h1>

<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.BeerName)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.StyleName)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Abv)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.BreweryName)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.CountryName)
            </th>

            <th></th>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model)
        {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.BeerName)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.StyleName)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Abv)
            <td>
                @Html.DisplayFor(modelItem => item.BreweryName)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.CountryName)
            </td>
            <td>
                <a asp-controller="User" asp-action="DranklistRemove" asp-route-beerId="@item.BeerId" asp-route-name="@User.Identity.Name">Remove</a>
            </td>
        </tr>
        }
    </tbody>
</table>
